Subject: Re: bug#47718: Fix epa-file-insert-file-contents substring error

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Apr 2021 16:23:10 +0300

> Date: Mon, 12 Apr 2021 12:57:28 +0000
> From: juntaka <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, "[email-masked]" <[email-masked]>
> 
> In my use case, I'm writing an elisp to show the first line of each file on dired.
> It does not need to visit and read entire file. So I just try to limit by (window-width).
> But if Emacs try to decrypt GPG files, then I got such error.

Doesn't that mean the problem is in your application code?